From e3f294daa274dbcd9a1e3f20041ec3db13a1cb5f Mon Sep 17 00:00:00 2001
From: Nameless Fairy <nameless-fairy@ya.ru>
Date: Thu, 23 Sep 2010 17:03:54 +0400
Subject: [PATCH] Fixes TTA inaccurate time seeking (close #3754).

---
 modules/demux/tta.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/demux/tta.c b/modules/demux/tta.c
index b0c53bb..fd9cd75 100644
--- a/modules/demux/tta.c
+++ b/modules/demux/tta.c
@@ -241,7 +241,7 @@ static int Control( demux_t *p_demux, int i_query, va_list args )
             {
                 int64_t tmp = 0;
                 uint32_t i;
-                for( i=0; i < p_sys->i_totalframes && tmp+p_sys->pi_seektable[i] < i64; i++)
+                for( i=0; i < (uint32_t)(f * p_sys->i_totalframes); i++)
                 {
                     tmp += p_sys->pi_seektable[i];
                 }
-- 
1.7.1

